; ================================================================================================
; Ambilight/mDMX-Receiver mit WS2801/TM1804
; Konfigurationen
; ================================================================================================

; ================================================================================================
; Ports I/O setzen etc.
; ------------------------------------------------------------------------------------------------

		ldi		temp0, (1<<Pix_SDO) | (1<<Pix_SCO)	; Pixel-Ports auf Ausgang
		out		Pix_DDR, temp0

		sbi		S_LED_DDR, S_LED				; Port fr Status-LED auf Ausgang
		cbi		S_LED_Port, S_LED				; Status-LED an

; ================================================================================================
; Stackpointer setzen
; ------------------------------------------------------------------------------------------------

		ldi 	temp0, HIGH(RAMEND)				; HIGH-Byte der obersten RAM-Adresse
		out 	SPH, temp0						; in den Stackpointer
		ldi 	temp0, LOW(RAMEND)				; LOW-Byte der obersten RAM-Adresse
		out 	SPL, temp0						; in den Stackpointer

; ================================================================================================
; USART konfigurieren fr Mini-DMX
; ------------------------------------------------------------------------------------------------

.equ UBRR_MDMX =((XTAL+BAUD_MDMX*8)/(BAUD_MDMX*16)-1)  	; UBBR ausrechnen

	   	ldi 	temp0, UBRR_MDMX			 	; Usart auf Baudrate MDMX setzen
    	out 	UBRRL, temp0
    	clr 	temp0
    	out 	UBRRH, temp0

    	ldi 	temp0, (3<<UCSZ0) |	(1<<URSEL)	; 8 Datenbits, 1 Stoppbit
    	out 	UCSRC, temp0			
		sbi 	UCSRB, RXEN						; Receiver enable
		sbi		UCSRB, TXEN						; Transmitter enable
		sbi 	UCSRB, RXCIE					; RX Complete Int. enable
		sbi 	UCSRB, TXCIE					; TX Complete Int. enable

		clr		MDMX_State						; Start-Status: auf Blockstart warten

; ================================================================================================

		sei										; Interrupts aktivieren

; ================================================================================================

