; ================================================================================================
; Ambilight fr SEDU-Board
; Definitionen Register, Konstanten, etc.
; ================================================================================================

.include "m16def.inc"					; verwendeter C: Mega16

.include "settings.inc"					; Div. User-Einstellungen

; ================================================================================================
; Register definieren
; ------------------------------------------------------------------------------------------------

.def temp0 				= R16			; Mehrzweck-Temp-Register	
.def temp1 				= R17
.def temp2 				= R18
.def temp3				= R19
.def temp4				= R20

.def MDMX_State			= R21			; Receiver-Status, Register muss >15 sein
.def MDMX_Framecount_L	= R22			; Zhler fr empfangene Bytes
.def MDMX_Framecount_H	= R23			; Zhler fr empfangene Bytes
.def MDMX_L				= R2			; Low-Byte Adress-Pointer
.def MDMX_H				= R3			; High-Byte Adress-Pointer

.def tx_State			= R4

.def temp_R				= R5			; Temp-Register fr Farbrechnungen
.def temp_G				= R6
.def temp_B				= R7

.def Blink				= R8			; Zhler fr Blink-Takt Status-LED

; ================================================================================================
; RAM-Bereiche definieren
; ------------------------------------------------------------------------------------------------

.equ Pix_Outbuffer		= 0x0060		; RAM-Puffer fr Ausgabedaten

.equ MDMX_Buffer		= 0x0060		; RAM-Bereich fr empfangene Daten

; ================================================================================================
; Konstanten/Aliase definieren
; ------------------------------------------------------------------------------------------------

.equ XTAL				= 16000000		; Prozessortakt 16 MHz SEDU-Board

.equ S_LED				= 5				; Pin Status-LED
.equ S_LED_Port			= PortD			; Port Status-LED
.equ S_LED_DDR			= DDRD			; DDR Status-LED

; ================================================================================================
