; ************************************************************************************************
; * Ambilight/mDMX-Receiver fr SEDU-Board Community Version								 	 *
; *																								 *
; *	empfngt 96, 256, 512 oder 768 Kanle ber Mini-DMX und gibt sie an WS2801/TM1804 aus		 *
; *	mit Mglichkeit, die Pixel zu wiederholen und Farben umzusortieren							 *
; *																								 *
; *	Benutzderdefinierte Einstellungen in Datei "settings.inc"									 *
; *																								 *
; *	by Pesi	- Version 1.0 - 06.09.2011															 *
; ************************************************************************************************

.include "Definitions.inc"						; Definitionen Register, Konstanten etc.

.CSEG

.include "Interrupts.inc"						; IRQ-Vektor-Tabelle und ISR-Verzeichnis

_Start:

.include "Configuration.inc"					; Ports setzen, Timer konfigurieren etc.

; ================================================================================================
; Hauptschleife
; Daten werden regelmig an die Pixel ausgegeben,
; mDMX-Empfang findet im Interrupt statt
; ------------------------------------------------------------------------------------------------

_Main:

		rcall	_SUB_Data_Shiftout				; Daten ausgeben
		rcall	_SUB_Wait_1ms					; 1 ms warten fr bernahme

		rjmp	_Main							; Hauptschleife von vorne

; ================================================================================================
; Subroutinen
; ------------------------------------------------------------------------------------------------

.include "_SUB_Data_Shiftout.inc"				; Bitbang-Ausgaberoutine fr WS2801/TM1804

.include "_SUB_Wait_1ms.inc"					; Warteschleife 1 ms

; ================================================================================================

